Bug 1799084 - qt5-qtwebengine: FTBFS in Fedora rawhide/f32
Summary: qt5-qtwebengine: FTBFS in Fedora rawhide/f32
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qt5-qtwebengine
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FTBFS
TreeView+ depends on / blocked
 
Reported: 2020-02-06 15:35 UTC by Fedora Release Engineering
Modified: 2020-02-22 01:27 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-22 01:27:20 UTC
Type: ---


Attachments (Terms of Use)
build.log (32.00 KB, text/plain)
2020-02-06 15:35 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2020-02-06 15:35 UTC, Fedora Release Engineering
no flags Details
state.log (1.12 KB, text/plain)
2020-02-06 15:35 UTC, Fedora Release Engineering
no flags Details
Fixes some of the missing header problems (1.49 KB, patch)
2020-02-13 21:48 UTC, Troy Dawson
no flags Details | Diff
Fixes all of the header problems. (19.27 KB, application/mbox)
2020-02-20 18:49 UTC, Troy Dawson
no flags Details

Description Fedora Release Engineering 2020-02-06 15:35:29 UTC
qt5-qtwebengine failed to build from source in Fedora rawhide/f32

https://koji.fedoraproject.org/koji/taskinfo?taskID=41167471


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
Please fix qt5-qtwebengine at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
qt5-qtwebengine will be orphaned. Before branching of Fedora 33,
qt5-qtwebengine will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2020-02-06 15:35:34 UTC
Created attachment 1658253 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2020-02-06 15:35:42 UTC
Created attachment 1658254 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2020-02-06 15:35:43 UTC
Created attachment 1658255 [details]
state.log

Comment 4 Kevin Kofler 2020-02-06 15:51:01 UTC
The linked task is actually from a module build on EL8, which failed due to a too old ICU. (It refused to use the EL8 ICU and built its bundled one, leading to an unpackaged file.)

This is the actual Rawhide build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=41320934

The error looks like a missing #include or using (using std::size_t;) statement:
In file included from ../../3rdparty/chromium/third_party/webrtc/modules/audio_processing/aec3/clockdrift_detector.cc:10:
../../3rdparty/chromium/third_party/webrtc/modules/audio_processing/aec3/clockdrift_detector.h:34:3: error: 'size_t' does not name a type
   34 |   size_t stability_counter_;
      |   ^~~~~~

Comment 5 Kevin Kofler 2020-02-06 15:51:37 UTC
Actually, GCC even gives the fix:
#include <cstddef>
(no using needed).

Comment 6 Ben Cotton 2020-02-11 17:17:02 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 7 Troy Dawson 2020-02-13 21:48:42 UTC
Created attachment 1663016 [details]
Fixes some of the missing header problems

This patch fixes two of the missing header fails, but not all of them.

Comment 8 Troy Dawson 2020-02-13 21:53:25 UTC
I have patched through two missing header files, but can't figure out the next one.

Here is a scratch build, with the above patch installed.  
https://koji.fedoraproject.org/koji/taskinfo?taskID=41481261

It is failing with

../../3rdparty/chromium/cc/base/list_container.h:150:23:   required from 'cc::ListContainer<T>& cc::ListContainer<T>::operator=(cc::ListContainer<T>&&) [with BaseElementType = viz::DrawQuad]'
../../3rdparty/chromium/components/viz/common/quads/render_pass.h:41:25:   required from here
/usr/include/c++/10/bits/unique_ptr.h:79:16: error: invalid application of 'sizeof' to incomplete type 'cc::ListContainerHelper::CharAllocator'
   79 |  static_assert(sizeof(_Tp)>0,

Comment 9 Fedora Release Engineering 2020-02-16 04:28:05 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 10 Daniel Vrátil 2020-02-19 21:04:24 UTC
Troy, check this patch from webos-ports, it fixed the static_assert for me: https://github.com/webOS-ports/qtwebengine-chromium/commit/753a3a940f5682530785d193476bb2a0adc3d738

Comment 11 Kevin Kofler 2020-02-19 23:23:05 UTC
Good find, that patch looks good. Moving this stuff to the header file is basically what I would have suggested doing, and they identified the exact lines that need to be moved, so we just need to apply their patch.

Comment 12 Troy Dawson 2020-02-20 18:49:35 UTC
Created attachment 1664464 [details]
Fixes all of the header problems.

Yep, that worked.  I'm attaching the patch I used to create this successful scratch build.
https://koji.fedoraproject.org/koji/taskinfo?taskID=41699598

Comment 13 Troy Dawson 2020-02-22 01:27:20 UTC
Patch applied and package built.
Made it through bodhi and submitted for stable.
https://bodhi.fedoraproject.org/updates/FEDORA-2020-b95c8d0519


Note You need to log in before you can comment on or make changes to this bug.